--- title: "Get server type" slug: "analytics-clouddatastreamingservice-cluster-getnodeproductlist" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-getnodeproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get server type Available in VPC Get available node server types. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/cluster/getNodeProductList (Korea Region) | | POST | /api/sgn-v1/cluster/getNodeProductList (Singapore Region) | | POST | /api/jpn-v1/cluster/getNodeProductList (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `softwareProductCode` | String | Required | Operating system type code - See [Get operating system type](/docs/en/analytics-clouddatastreamingservice-cluster-getosproductlist). | | `subnetNo` | Integer | Required | Subnet number - See [Get subnet list](/docs/en/analytics-clouddatastreamingservice-cluster-getsubnetlist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getNodeProductList' \ --header 'Content-Type: application/json' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "softwareProductCode": "SW.VCDSS.OS.LNX64.CNTOS.0708.B050", "subnetNo": 3**** }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.productList` | Array | - | Server type list: [productList](/docs/en/analytics-clouddatastreamingservice-cluster-getnodeproductlist#productList) | | `requestId` | String | - | ID for the request - UUID format | #### `productList` The following describes `productList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `productCode` | String | - | Server type code | | `productName` | String | - | Server type name | | `productType2Code` | String | - | Server classification | | `productEnglishDesc` | String | - | Server description | | `infraResourceTypeCode` | String | - | Infrastructure resource type | | `cpuCount` | String | - | Number of CPUs | | `memorySize` | Integer | - | Memory size (byte) | | `diskType2Code` | String | - | Disk type | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "productList": [ { "productCode": "SVR.VCDSS.STAND.C002.M008.NET.SSD.B050.G002", "productName": "[STAND] 2 vCPUs, 8 GB memory, 50 GB [SSD] disk", "productType2Code": "STAND", "productEnglishDesc": "[STAND] vCPU 2EA, Memory 8GB, [SSD]Disk 50GB", "infraResourceTypeCode": "VCDSS", "cpuCount": "2", "memorySize": "8589934592", "diskType2Code": "NET" }, { "productCode": "SVR.VCDSS.STAND.C004.M016.NET.SSD.B050.G002", "productName": "[STAND] 4 vCPUs, 16 GB memory, 50 GB [SSD] disk", "productType2Code": "STAND", "productEnglishDesc": "[STAND] vCPU 4EA, Memory 16GB, [SSD]Disk 50GB", "infraResourceTypeCode": "VCDSS", "cpuCount": "4", "memorySize": "17179869184", "diskType2Code": "NET" }, ... ] }, "requestId": "1e0a7419-****-****-****-5f648388dd38" } ```